﻿/// <reference name="MicrosoftAjax.js" />
/// <reference path="MicrosoftAjaxTemplates.js" />
/// <reference path="jquery-1.2.6.min.js" />

// ---------------------------------------
// Add the code described in the lab here
// ---------------------------------------

Sys.Application.add_load(function() {
    $("#managers input").click(fetchAndShowDetails);
});

function fetchAndShowDetails(eventElement) {
    var container = $get("details-container");
    clearContainer(container);

    var manager = getManagerWithId(eventElement.target.name);
    var detailsTemplate = new Sys.UI.Template($get("details-template"));
    detailsTemplate.instantiateIn(container, manager);

    $(container).show();
}

// Simulates firing off an AJAX request to pull back a Manager
function getManagerWithId(managerId)
{
    var foundMgr = null;
    $.each($(managers), function(idx, mgr)
    {
        if (mgr.Id == managerId)
            foundMgr = mgr;
    });

    return foundMgr;
}

function clearContainer(container)
{
    $(container).hide().empty();
}
