﻿/// <reference name="MicrosoftAjax.js" />
/// <reference path="MicrosoftAjaxTemplates.js" />
/// <reference path="jquery-1.2.6.min.js" />

// ---------------------------------------
// Add the code described in the lab here
// ---------------------------------------

Sys.Application.add_load(function() {
    Sys.Application.registerMarkupExtension("alternate", alternate);
    $("#managers input").click(fetchAndShowDetails);
});

function alternate(component, attribute, args) {
    var evenClass = (args["evenClass"] != null
    ? args["evenClass"] : "even");
    var oddClass = (args["oddClass"] != null
    ? args["oddClass"] : "odd");

    var cssClass = (args["$index"] % 2 ? evenClass : oddClass);
    return cssClass;
}


function renderReportsList(manager, container) {
    var dataItem, element;

    if (manager.Reports == null) {
        dataItem = manager;
        element = $('.warning-message', container)[0];
    }
    else {
        dataItem = manager.Reports;
        element = $('ul', container)[0];
    }

    $create(Sys.UI.DataView,
            { data: dataItem },
            {},
            {},
            element);
}


function fetchAndShowDetails(eventElement) {
    var container = $get("details-container");
    clearContainer(container);

    var manager = getManagerWithId(eventElement.target.name);
    var detailsTemplate = new Sys.UI.Template($get("details-template"));
    detailsTemplate.instantiateIn(container, manager);

    renderReportsList(manager, container);

    $(container).show();
}

// Simulates firing off an AJAX request to pull back a Manager
function getManagerWithId(managerId)
{
    var foundMgr = null;
    $.each($(managers), function(idx, mgr)
    {
        if (mgr.Id == managerId)
            foundMgr = mgr;
    });

    return foundMgr;
}

function clearContainer(container)
{
    $(container).hide().empty();
}
